package hu.uniobuda.nik;

import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;

public class MainActivity extends Activity {
    
	SensorManager manager;
	Graph axisX, axisY, axisZ;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        manager = (SensorManager)getSystemService(SENSOR_SERVICE);
        
        axisX = (Graph)findViewById(R.id.axisX);
        axisY = (Graph)findViewById(R.id.axisY);
        axisZ = (Graph)findViewById(R.id.axisZ);
        
    }
    
    
    @Override
    protected void onResume() {    
    	super.onResume();
    	manager.registerListener(
    			listener, 
    			manager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER),
    			SensorManager.SENSOR_DELAY_FASTEST
    			);
    }
    
    @Override
    protected void onPause() {
    	super.onPause();
    	manager.unregisterListener(listener);
    };
    
    
    SensorEventListener listener = new SensorEventListener() {
		public void onSensorChanged(SensorEvent event) {
			axisX.addValue(event.values[0]);
			axisY.addValue(event.values[1]);
			axisZ.addValue(event.values[2]);
		}		
		public void onAccuracyChanged(Sensor sensor, int accuracy) {}
	};
    
}